twilio Endpoints
All endpoints for the twilio API group. Great for feeding into an LLM context.
/v1/twilio/conversation
Get Route
Responses
200Successful Response
{}404Not found
/v1/twilio/conversation
Create Route
Request Body
{
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Conversation"
}
}
},
"required": true
}Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/conversation/count
Get Conversation Count
Parameters
service_id*
Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/conversation/page
Get Conversation Page
Parameters
service_id*
page_size
page_token
Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/conversation/{service_id}/{conversation_id}
Get Route By Service And Conversation
Parameters
service_id*
conversation_id*
Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/conversation/{service_id}/{conversation_id}
Delete Service Conversation Route
Delete a conversation from a service
Parameters
service_id*
conversation_id*
Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/conversation/{service_id}/{conversation_id}
Update Route
Parameters
service_id*
conversation_id*
Request Body
{
"required": true,
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ConversateStateChange"
}
}
}
}Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/conversation/{conversation_id}
Delete Conversation Route
Delete a conversation
Parameters
conversation_id*
Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/conversation/token
Token Route
Responses
200Successful Response
{}404Not found
/v1/twilio/conversation/{service_id}
Get Route
Parameters
service_id*
Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/conversation/with-participants
Create Route
Request Body
{
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/MmsConversation"
}
}
},
"required": true
}Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/participant/{service_sid}/{conversation_id}
Get Participants
Description: Get all Twilio participants by conversation id Args: service_sid (str): Twilio service id conversation_id (str): Twilio conversation id current_user (User, optional): Current user. Defaults to Depends(get_current_user). Returns: JSONResponse: Twilio participants
Parameters
service_sid*
conversation_id*
Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/participant/{service_sid}/{conversation_id}/{participant_id}
Get Route
Description: Get a Twilio participant by conversation id and participant id Creates a new participant record if it does not exist in the database Args: service_sid (str): Twilio service id conversation_id (str): Twilio conversation id participant_id (str): Twilio participant id background_task (BackgroundTasks): FastAPI background task current_user (User, optional): Current user. Defaults to Depends(get_current_user). Returns: JSONResponse: Twilio participant record
Parameters
service_sid*
conversation_id*
participant_id*
Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/participant
Create Route
Request Body
{
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/CreateParticipant"
}
}
},
"required": true
}Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/participant/{conversation_id}/{participant_id}
Delete Route
Parameters
conversation_id*
participant_id*
Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/participant/{service_id}/{conversation_id}/{participant_id}
Service Delete Route
Parameters
service_id*
conversation_id*
participant_id*
Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/conversation/webhooks
Get Conversation Webhooks
Responses
200Successful Response
{
"$ref": "#/components/schemas/Webhook"
}404Not found
/v1/twilio/conversation/webhooks
Update Webhook
Responses
200Successful Response
{
"$ref": "#/components/schemas/Webhook"
}404Not found
/v1/twilio/conversation/{org_id}/post-webhook
Create Conversation Webhooks
Parameters
org_id*
Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/message/{service_sid}/{conversation_sid}
Get Messages
Parameters
service_sid*
conversation_sid*
Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/message/{service_sid}/{conversation_sid}/{message_sid}
Get Message
Parameters
service_sid*
conversation_sid*
message_sid*
Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/message
Create Message
Request Body
{
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Message"
}
}
},
"required": true
}Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/service
Get Route
Responses
200Successful Response
{}404Not found
/v1/twilio/service
Post Route
Request Body
{
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/Service"
}
}
},
"required": true
}Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/service/push-credential
Post Push Credential
Request Body
{
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/PushCredential"
}
}
},
"required": true
}Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/phone
Get Route
Responses
200Successful Response
{}404Not found
/v1/twilio/phone
Patch Route
Request Body
{
"content": {
"application/json": {
"schema": {
"additionalProperties": true,
"type": "object",
"title": "Data"
}
}
},
"required": true
}Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/phone/lookup
Lookup Route
Parameters
phone_number*
Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/phone/address/{service_sid}
Create Phone Address
Parameters
service_sid*
Request Body
{
"required": true,
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/PhoneAddressConfig"
}
}
}
}Responses
200Successful Response
{
"$ref": "#/components/schemas/CreatePhoneResponse"
}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/phone/search
Find Phone Address
Responses
200Successful Response
{}404Not found
/v1/twilio/phone/purchase
Purchase Phone Address
Request Body
{
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/BuyPhoneRequest"
}
}
},
"required": true
}Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/account/application
Get Route
Responses
200Successful Response
{}404Not found
/v1/twilio/account/application
Post Route
Request Body
{
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/TwimlApplication"
}
}
},
"required": true
}Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/account/application
Patch Route
Request Body
{
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/TwimlApplicationUpdate"
}
}
},
"required": true
}Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/account/subaccount
Post Subaccount Route
Responses
200Successful Response
{}404Not found
/v1/twilio/iam/keys
Post Route
Responses
200Successful Response
{}404Not found
/v1/twilio/call
Update Call Route
Responses
200Successful Response
{}404Not found
/v1/twilio/call/salesforce-navigate-to-record
Salesforce Sucks Route
Request Body
{
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/SalesforceNavigateToRecord"
}
}
},
"required": true
}Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/call/available
Available Route
Request Body
{
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/twilio_routes__twilio_call__Available"
}
}
},
"required": true
}Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/call/token
Token Route
Responses
200Successful Response
{}404Not found
/v1/twilio/call/token/{platform}
Platform Token Route
Parameters
platform*
Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/call/salesforce-click-to-dial
Salesforce Click To Dial
Request Body
{
"content": {
"application/json": {
"schema": {
"additionalProperties": true,
"type": "object",
"title": "Data"
}
}
},
"required": true
}Responses
202Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/call/lookup
Lookup Route
Parameters
phone_number*
Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/call/recording/{recording_id}
Recording Route
Parameters
recording_id*
Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/call/fetch/{call_id}
Call Route
Parameters
call_id*
Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/call/studio/{org_id}
Studio Route
Parameters
org_id*
Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/call/{org_id}/test
Handle Inbound Call Route Test
Parameters
org_id*
Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/call/{org_id}
Post Call Route
Parameters
org_id*
Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/call/callback/{org_id}
Call Callback Route
Parameters
org_id*
Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/call/conference-callback/{org_id}
Conference Callback
Parameters
org_id*
Responses
204Successful Response
404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/call/voicemail/start/{org_id}
Voicemail Start Route
Parameters
org_id*
Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/call/voicemail/force/{org_id}
Force Voicemail Route
Parameters
org_id*
Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/call/voicemail/{org_id}
Post Voicemail Route
Parameters
org_id*
Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/call/voicemail/callback/{org_id}
Voicemail Callback Route
Parameters
org_id*
Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/call/voicemail/recording/{org_id}
Voicemail Recording Callback Route
Parameters
org_id*
Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/call/recording/callback/{org_id}
Recording Callback Route
Parameters
org_id*
Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/call/save-client-call/{sid}
Save Client Call Route
Parameters
sid*
Request Body
{
"required": true,
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/TwilioSaveClientCall"
}
}
}
}Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/call/update/{sid}
Update Call Route Sid
Parameters
sid*
Request Body
{
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"additionalProperties": true,
"title": "Data"
}
}
}
}Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/call/client/{user_id}
Client Route
Parameters
user_id*
Request Body
{
"required": true,
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ClientCallData"
}
}
}
}Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/sms
Send Sms Route
Request Body
{
"content": {
"application/json": {
"schema": {
"anyOf": [
{
"$ref": "#/components/schemas/TwilioSMS"
},
{
"items": {
"$ref": "#/components/schemas/TwilioSMS"
},
"type": "array"
}
],
"title": "Data"
}
}
},
"required": true
}Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/sms/inbound/{org_id}
Sms Inbound Route
Parameters
org_id*
Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/sms/callback/{org_id}
Sms Callback Route
Parameters
org_id*
Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/sms/{sms_sid}
Get Sms Route
Parameters
sms_sid*
Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/media/{service_sid}
Get Media
Parameters
service_sid*
sids*
Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/media/{service_sid}
Async Create Media
Creates a new media resource in Twilio by fetching an existing file from S3.
Parameters
service_sid*
Request Body
{
"required": true,
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/CreateMediaRequest"
}
}
}
}Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/media/recording/{sid}
Get Recording
Parameters
sid*
media_type
ios
Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/conversational-intelligence
Create Conversational Intelligence Service Resource
Creates a new Twilio Conversational Intelligence Service. https://www.twilio.com/docs/conversational-intelligence/api/service-resource
Request Body
{
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/CreateServiceRequest"
}
}
},
"required": true
}Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/conversational-intelligence/transcribe
Create Transcription
Creates a new transcription for a given Twilio recording. https://www.twilio.com/docs/conversational-intelligence/api/transcription-resource#create-a-transcription
Request Body
{
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/CreateTwilioRecordingTranscriptionRequest"
}
}
},
"required": true
}Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/conversational-intelligence/transcription/{sid}
Get Transcription
Retrieves a transcription by its SID. https://www.twilio.com/docs/conversational-intelligence/api/transcription-resource#retrieve-a-transcription
Parameters
sid*
Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/conversational-intelligence/transcription/{sid}/sentences
Get Transcription Sentences
Retrieves a transcription by its SID. https://www.twilio.com/docs/conversational-intelligence/api/transcription-resource#retrieve-a-transcription
Parameters
sid*
Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}/v1/twilio/conversational-intelligence/webhook/{organization_id}
Twilio Conversational Intelligence Webhook
Webhook endpoint to receive events from Twilio Conversational Intelligence.
Parameters
organization_id*
Responses
200Successful Response
{}404Not found
422Validation Error
{
"$ref": "#/components/schemas/HTTPValidationError"
}